### Method

# EBookContacts Contact get

#### Declaration [src]

    gpointer
    e_contact_get (
      EContact* contact,
      EContactField field_id
    )

#### Description [src]

Gets the value of `contact`‘s field specified by `field_id`.

#### Parameters

`field_id`

  Type: `EContactField`

  An `EContactField`.

#### Return value

Type: `gpointer`

Depends on the field’s type, owned by the caller. This may be `NULL` if the field isn’t set.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.